<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/material/Dt_MaterielInfo.js此处编写
 -->
 <template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "./ProductionModel.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'materielID',
            footer: "Foots",
            cnName: '料框属性',
            name: 'ProductionModel',
            url: "/Production/",
            sortName: "MaterielID"
        });
        const editFormFields = ref({
            "TrayBarcodeProperty": "",
            "Capacity": "",

        });
        const editFormOptions = ref([
            [
                { "title": "料框属性", "field": "TrayBarcodeProperty", type: "text" },
                { "title": "托盘容量", "field": "Capacity", type: "text" },
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "料框属性", "field": "TrayBarcodeProperty", type: "text" },
                { "title": "托盘容量", "field": "Capacity", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'id', title: 'ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'trayBarcodeProperty', title: '料框属性', type: 'string', width: 110, align: 'left', sort: true },
        { field: 'processCodes', title: '工序集合', type: 'string', width: 120, align: 'left' },
        { field: 'productTypes', title: '物料编码/工艺型号集合', type: 'string', width: 110, align: 'left' },
        { field: 'capacity', title: '托盘容量', type: 'string', width: 110, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
